#!/bin/sh

# Utility script to encrypt and save proxy credentials to be used by the java probe
# expected parameters:
# <user>
# <password>
# The result is automatically  saved  in app-pulse-agent.properties proxy section


if [ -z "$R3_PROBE_HOME" ] ; then
  # $0 is path to script
  PRG="$0"

  # loop resolving symlinks
  while [ -h "$PRG" ] ; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '.*-> \(.*\)$'`
    if expr "$link" : '/.*' > /dev/null; then
      PRG="$link"
    else
      PRG=`dirname "$PRG"`"/$link"
    fi
  done

  # the parent of the 'bin' directory:
  PROBEAGGREGATOR_HOME=`dirname "$PRG"`/..

  # get rid of the /.. part:
  PROBEAGGREGATOR_HOME=`cd "$PROBEAGGREGATOR_HOME" >/dev/null && pwd`
 # export USE_THRIFT="true"

fi

if [ "$OSTYPE" = "cygwin" ] ; then
  PATHSEP=\;
  PROBEAGGREGATOR_HOME=`cygpath -d -a $PROBEAGGREGATOR_HOME`
else
  PATHSEP=:
fi

echo PROBEAGGREGATOR_HOME="$PROBEAGGREGATOR_HOME"
          
if [ -x "$PROBEAGGREGATOR_HOME/jre/bin/java" ]
then
  JAVA1_7_HOME="$PROBEAGGREGATOR_HOME/jre"
else
  if [ -z "$JAVA1_7_HOME" ]
  then
    echo Please set JAVA1_7_HOME to a valid JRE 1.7.0 installation.
    exit 1
  else
    echo WARNING - Make sure that JAVA1_7_HOME is set to a valid JRE 1.7.0 installation.
  fi
fi

kernel=`uname -s`
if [ ${kernel} = "SunOS" ]; then
    LD_LIBRARY_PATH=$PROBEAGGREGATOR_HOME/nanny/solaris/bin:$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH
else
    LD_LIBRARY_PATH=$PROBEAGGREGATOR_HOME/lib/linux:$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH
fi


#
# Now we can actually start the encrytpion
#
 $JAVA1_7_HOME/bin/java  -classpath ../lib/cryptUtil.jar:../lib/AppPulseAgent.jar com.mercury.opal.javaprobe.utilitiesV5.encrypt.EncryptionExecutorUtil $1 $2

if [ $? -eq 0 ]
then
  echo "################## Succefuly encrypted ##################"
else
  echo  "################## Got ERROR Exit code $? ################## "
   exit 1
fi
  


